Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.pagecontrol
Class RegionTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
oracle.jbo.html.jsp.pagecontrol.RegionTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RegionTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RegionTag()`

Method Summary
`int` | `doAfterBody()` Method is invoked after every body evaluation to control whether the body will be reevaluated or not.
`int` | `doEndTag()` Method called at end of tag.
`int` | `doStartTag()` Method called at start of tag.
`java.lang.String` | `getId()`
`void` | `setId(java.lang.String value)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### RegionTag

    public RegionTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Method called at start of tag.
  Returns:
    EVAL_BODY_TAG
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()

  Method called at end of tag.
  Returns:
    EVAL_PAGE

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Method is invoked after every body evaluation to control whether the body will be reevaluated or not.
  Returns:
    SKIP_BODY
  Throws:
    `javax.servlet.jsp.JspException`

### setId

    public void setId(java.lang.String value)

### getId

    public java.lang.String getId()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.